###

#

ImageConcept< Image > Struct Template Reference
Image » Concepts

2-dimensional image whose value type models PixelValueConcept More...

`#include <image.hpp>`

## Public Member Functions

void | constraints ()

## Public Attributes

Image | image

## Detailed Description

template<typename Image>
struct boost::gil::ImageConcept< Image >

2-dimensional image whose value type models PixelValueConcept

concept ImageConcept<RandomAccess2DImageConcept Image>
{
where MutableImageViewConcept<view_t>;
typename coord_t = view_t::coord_t;
};
boost::gil::ImageConcept
2-dimensional image whose value type models PixelValueConcept
Definition: concepts/image.hpp:145
boost::gil::MutableImageViewConcept
GIL's 2-dimensional view over mutable GIL pixels.
Definition: concepts/image_view.hpp:505
boost::gil::RandomAccess2DImageConcept
2-dimensional container of values
Definition: concepts/image.hpp:110

The documentation for this struct was generated from the following file:

- concepts/image.hpp